## Farmmaps Documentation Overview
This page provides an index of the available documentation for the FarmMaps platform.

### FarmMaps Architecture & Basic concepts
* The datastore
* Endpoints
* Workers
* Queues
* File-chains
### API Documentation  
FarmMaps provides 3 main endpoints to build services upon.

* A file upload/download API (REST) for file uploads in chunks.
* An FTP endpoint to upload files through FTP
* [A message queue endpoint (MQTT)](/FarmMaps/Documentatie/wiki/message_queue_endpoint) to recieve streaming data and send and recieve triggering signals.


### Viewer Documentation
* [FarmMapsLibs](/FarmMaps/Documentatie/wiki/FarmMapsLibs)

### Application specific documentation
* [VRAPoten-API](/FarmMaps/Documentatie/wiki/VRAPoten-API)